ENV(1)

NAZWA
env - uruchamia program w zmienionym środowisku

SKŁADNIA
env [OPCJA]... [-] [NAZWA=WARTOŚĆ]... [POLECENIE [ARG]...]

OPIS

Ustawia każdą zmienną środowiskową NAZWA na WARTOŚĆ i wykonuje POLECENIE.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-i, --ignore-environment
    zaczyna z pustym środowiskiem

-0, --null
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

-u, --unset=NAZWA
    usuwa zmienną NAZWA ze środowiska

-C, --chdir=KATALOG
    zmienia katalog roboczy na KATALOG

-S, --split-string=S
    procesuje i dzieli S na osobne argumenty; używane by przekazać kilka argumentów na linię shebang

--block-signal[=SYGNAŁ]
    blokuje dostarczenie sygnał(ów) SYGNAŁ do komendy

--default-signal[=SYGNAŁ]
    resetuje sposób obsługi sygnał(ów) SYGNAŁ do ustawień domyślnych

--ignore-signal[=SYGNAŁ]
    set handling of SIG signal(s) to do nothing

--list-signal-handling
    wypisuje niedomyślne sposoby obsługi sygnałów na stderr

-v, --debug
    wypisuje szczegółowe informacje dla każdego kroku procesowania

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Argument - implikuje -i. Jeśli nie podano POLECENIA, wyświetlane jest otrzymane środowisko.

SIG may be a signal name like 'PIPE', or a signal number like '13'. Without SIG, all known signals are included. Multiple signals can be comma-separated. An empty SIG argument is a no-op.

  Exit status:

125 if the env command itself fails

126 if COMMAND is found but cannot be invoked

127 if COMMAND cannot be found

-   the exit status of COMMAND otherwise

OPCJE

  Użycie -S/--split-string w skryptach
Opcja -S zezwala na określenie kilku parametrów w skrypcie. Uruchomienie skryptu o nazwie 1.pl zawierającego następującą pierwszą linię:

    #!/usr/bin/env -S perl -w -T
    ...

Wywoła perl -w -T 1.pl .

Bez parametru '-S' skrypt z argumentu prawdopodobnie zwróci błąd:

    /usr/bin/env: 'perl -w -T': No such file or directory

Więcej detali w pełnej dokumentacji.

  użycie --default-signal[=SYGNAŁ]
Ta opcja pozwala ustawić obsługę sygnału do wartości domyślnych, co nie jest możliwe używając tradycyjnej komendy shell trap. Następujący przykład zapewnia, że ta sekwencja zostanie zakończona przez SIGPIPE, bez znaczenia jak sygnał jest obsługiwany w procesie wywołującym komendę.

    sh -c 'env --default-signal=PIPE seq inf | head -n1'

UWAGI
POSIX's exec(3p) pages says:
    "wiele istniejących aplikacji błędnie zakłada, że startują one z konkretnymi sygnałami ustawionymi na akcje domyślne lub/i odblokowanymi... Dlatego, najlepiej nie blokować czy ignorować sygnałów wśród wywołań beż szczególnego powodu, a szczególnie nie blokować sygnałów pośród wywołań arbitralnych (nie współpracujących ze sobą) programów."

AUTOR
Napisane przez Richarda Mlynarika, Davida MacKenzie oraz Assaf Gordon.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
sigaction(2), sigprocmask(2), signal(7)

Pełna dokumentacja na stronie: <https://www.gnu.org/software/coreutils/env>
lub lokalnie, za pomocą info '(coreutils) env invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.